Bug 242680 - mctrans - Wrong init script
mctrans - Wrong init script
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mcstrans (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Conklin
:
Depends On:
Blocks: 237789 242682
  Show dependency treegraph
 
Reported: 2007-06-05 09:15 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-16 13:50:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed patch to fix issue (2.25 KB, patch)
2007-08-24 10:19 EDT, Steve Grubb
no flags Details | Diff

  None (edit)
Description Michal Marciniszyn 2007-06-05 09:15:40 EDT
Description of problem:
The mcstrans init script fails to invoke the status command in several
occasions, namely these commands prevent it in some cases:
test `id -u` = 0  || exit 4
test -x /usr/sbin/selinuxenabled && /usr/sbin/selinuxenabled || exit 0
test -x /sbin/mcstransd  || exit 5
the exit 4 if the user is not root might be correct(i.e. for user with not
sufficient privilegues, the state is unknown), but the exit code 5 if the
mcstransd is not executable definitely is not. I'm not sure about line
containing exit 0.

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.
Comment 1 RHEL Product and Program Management 2007-06-05 09:25:10 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Steve Grubb 2007-08-24 10:19:19 EDT
Created attachment 172418 [details]
proposed patch to fix issue

This patch should solve the problem. Please apply to 5.1, spin a new package,
and add to the errata. Thanks.
Comment 8 Steve Conklin 2007-10-16 13:50:33 EDT
Exit 4 for nonroot is ok
Exit zero mimics success, so that's ok
Exit 5 is the correct return for "program not installed", which as far as we
care is the same as when we can't execute it.

The init script functions for this release don't support having non-root check
status anyway, so we can't do that.

So, there's really nothing to fix.
Comment 9 Steve Conklin 2007-10-16 13:51:09 EDT
Here's where exit 5 is listed for 'program not installed"

http://www.linux-foundation.org/spec/refspecs/LSB_1.3.0/gLSB/gLSB/iniscrptact.html

Note You need to log in before you can comment on or make changes to this bug.